shithub: mc

Download patch

ref: 2a8595163b7e03ff1faa1df4cf470b8cfd8dcc27
parent: 2e8aa200b0f4aaaffd2daded19e1f64a2c019e8c
author: Ori Bernstein <[email protected]>
date: Thu Jun 7 15:18:28 EDT 2012

Our "real" compile failures should exit with 1.

--- a/test/test.sh
+++ b/test/test.sh
@@ -38,7 +38,7 @@
 
 for i in `awk '/^F/{print $2}' tests`; do
     build $i
-    if [ $? -ne '0' ]; then
+    if [ $? -eq '1' ]; then
         echo "PASS: $i"
     else
         echo "FAIL: $i"
--- a/test/tests
+++ b/test/tests
@@ -30,3 +30,5 @@
 B structasn	E       42
 B log-and 	E       0
 B log-or  	E       1
+F declmismatch
+F infermismatch